﻿# Hosteinstellungen LiveMigration erlauben und VM Pfad auf "C:\VMs" setzen
###################################################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")

$hypervhosts = @()

$hypervhosts += "itcamp-$GruppenNummer-101.itcamp.de"
$hypervhosts += "itcamp-$GruppenNummer-102.itcamp.de"

foreach ($hypervhost in $hypervhosts)
{
	Set-SCVMHost -VMHost $hypervhost -RunAsynchronously  -LiveStorageMigrationMaximum "2" -EnableLiveMigration $true -LiveMigrationMaximum "2" -MigrationPerformanceOption "UseCompression" -MigrationAuthProtocol "CredSSP" -UseAnyMigrationSubnet $true
}