﻿# Import einer Master .vhdx mit Windows Server 2012 R2 Eval
###################################################
$vmHostWhereVMMisRunning = (Get-SCVMHost -VMMServer localhost | where VMs -like "*VMM*").FQDN | select -First 1

if ($vmHostWhereVMMisRunning -ne $null)
{
    Import-SCLibraryPhysicalResource -SourcePath "\\$vmHostWhereVMMisRunning\c`$\Temp\Master\en-WS12R2-DC-Eval.vhdx" -SharePath "\\localhost\MSSCVMMLibrary\VHDs"
    }
    else
    {
     
        write "no hosts running VMM found"
        $hostsOnLocalVMM = Get-SCVMHost -VMMServer localhost
        foreach ($hypervHost in $hostsOnLocalVMM)
        {
           write "refreshing $hypervHost.FQDN"
           Read-SCVirtualMachine -VMHost $hypervHost.FQDN -RunAsynchronously
        }
        write "Please try again."
     }
