﻿# Einfaches Hardware Profil erzeugen (GUID wird benötigt sonst kann er die NIC, SCSI und das DVD nicht dazu binden)
###################################################
$myJobGroupID = [System.Guid]::NewGuid()
$VMNetwork = Get-SCVMNetwork -VMMServer localhost -Name "Management"
New-SCVirtualNetworkAdapter -VMMServer localhost -JobGroup $myJobGroupID -Synthetic -IPv4AddressType Static -MACAddressType Static -IPv6AddressType Dynamic -EnableVMNetworkOptimization $false -EnableMACAddressSpoofing $false -EnableGuestIPNetworkVirtualizationUpdates $false -VMNetwork $VMNetwork 
New-SCVirtualScsiAdapter -VMMServer localhost -JobGroup $myJobGroupID -AdapterID 7 -ShareVirtualScsiAdapter $false -ScsiControllerType DefaultTypeNoType 
New-SCVirtualDVDDrive -VMMServer localhost -JobGroup $myJobGroupID -Bus 1 -LUN 0 
$CPUType = Get-SCCPUType -VMMServer localhost | where {$_.Name -eq "3.60 GHz Xeon (2 MB L2 cache)"}
#$CapabilityProfile = Get-SCCapabilityProfile -VMMServer localhost | where {$_.Name -eq "Hyper-V"}
New-SCHardwareProfile -VMMServer localhost -Owner "" -JobGroup $myJobGroupID -CPUType $CPUType -Name "Standard V-Server Profil (Gen1)" -Description "ITCamp Standard Hardware Profil für virtuelle Server basierend auf BIOS Motherboard1 Proc - LM Prozessor Kompatibiltät 'aus'Hochverfügbarkeit 'aus'" -CPUCount 1 -MemoryMB 512 -DynamicMemoryEnabled $true -DynamicMemoryMinimumMB 384 -DynamicMemoryMaximumMB 1024 -DynamicMemoryBufferPercentage 20 -MemoryWeight 5000 -VirtualVideoAdapterEnabled $false -CPUExpectedUtilizationPercent 20 -DiskIops 0 -CPUMaximumPercent 100 -CPUReserve 0 -NumaIsolationRequired $false -NetworkUtilizationMbps 0 -CPURelativeWeight 100 -HighlyAvailable $false -DRProtectionRequired $false -NumLock $false -BootOrder "CD", "IdeHardDrive", "PxeBoot", "Floppy" -CPULimitFunctionality $false -CPULimitForMigration $false -Generation 1 


#################
# weiteres profil für hochverfügbare VM erstellen
$myNewJobGroupID = [System.Guid]::NewGuid()
$VMNetwork = Get-SCVMNetwork -VMMServer localhost -Name "Management"
New-SCVirtualNetworkAdapter -VMMServer localhost -JobGroup $myNewJobGroupID -Synthetic -IPv4AddressType Static -MACAddressType Static -IPv6AddressType Dynamic -EnableVMNetworkOptimization $false -EnableMACAddressSpoofing $false -EnableGuestIPNetworkVirtualizationUpdates $false -VMNetwork $VMNetwork 
New-SCVirtualScsiAdapter -VMMServer localhost -JobGroup $myNewJobGroupID -AdapterID 7 -ShareVirtualScsiAdapter $false -ScsiControllerType DefaultTypeNoType 
New-SCVirtualDVDDrive -VMMServer localhost -JobGroup $myNewJobGroupID -Bus 1 -LUN 0 
$CPUType = Get-SCCPUType -VMMServer localhost | where {$_.Name -eq "3.60 GHz Xeon (2 MB L2 cache)"}
New-SCHardwareProfile -VMMServer localhost -Owner "" -JobGroup $myNewJobGroupID -CPUType $CPUType -Name "Standard V-Server Profil (Gen1) Highly Available" -Description "ITCamp Standard Hardware Profil für virtuelle Server basierend auf BIOS Motherboard1 Proc - LM Prozessor Kompatibiltät 'aus'Hochverfügbarkeit 'ein'" -CPUCount 1 -MemoryMB 512 -DynamicMemoryEnabled $true -DynamicMemoryMinimumMB 384 -DynamicMemoryMaximumMB 1024 -DynamicMemoryBufferPercentage 20 -MemoryWeight 5000 -VirtualVideoAdapterEnabled $false -CPUExpectedUtilizationPercent 20 -DiskIops 0 -CPUMaximumPercent 100 -CPUReserve 0 -NumaIsolationRequired $false -NetworkUtilizationMbps 0 -CPURelativeWeight 100 -DRProtectionRequired $false -NumLock $false -BootOrder "CD", "IdeHardDrive", "PxeBoot", "Floppy" -CPULimitFunctionality $false -CPULimitForMigration $false -Generation 1 -HighlyAvailable $true -HAVMPriority 2000


