﻿# Erstellen einer VM Vorlage mit Windows Server 2012 R2 Eval basierend auf den früheren HW und OS Profilen
###################################################
$myJobGroupID = [System.Guid]::NewGuid()
$VirtualHardDisk = Get-SCVirtualHardDisk -VMMServer localhost | where SharePath -like "*en-WS12R2-DC-Eval.vhdx" | select -First 1
New-SCVirtualDiskDrive -VMMServer localhost -IDE -Bus 0 -LUN 0 -JobGroup $myJobGroupID -CreateDiffDisk $false -VirtualHardDisk $VirtualHardDisk -VolumeType BootAndSystem 
$myHardwareProfile = Get-SCHardwareProfile -VMMServer localhost -All | where Name -eq "Standard V-Server Profil (Gen1)"
$myGuestOSProfile = Get-SCGuestOSProfile -VMMServer localhost | where {$_.Name -eq "Windows Server 2012 R2 Standard Eval"}
$template = New-SCVMTemplate -Name "Vorlage Windows Server 2012 R2 Eval" -RunAsynchronously -HardwareProfile $myHardwareProfile -GuestOSProfile $myGuestOSProfile -JobGroup $myJobGroupID -ComputerName "VM*" -TimeZone 110  -AnswerFile $null
