﻿# Hostgruppe "GruppeXX" in VMM erstellen
###################################################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")
$GruppenName = "Gruppe$GruppenNummer"

$title = "Hostguppen Eintrag in VMM"
$message = "Erstellt Hostgruppe mit Namen $GruppenName in VMM (localhost)" + "`n"

$yes = New-Object System.Management.Automation.Host.ChoiceDescription "&Ja", "Ja."

$no = New-Object System.Management.Automation.Host.ChoiceDescription "&Nein", "Nein."

$options = [System.Management.Automation.Host.ChoiceDescription[]]($yes, $no)

$result = $host.ui.PromptForChoice($title, $message, $options, 0) 



switch ($result)
    {
        0 
            {
                New-SCVMHostGroup -VMMServer localhost -Name $GruppenName -Verb
            }
        1 
            {
                #do nothing
            }
    }



