﻿# Hostreserven eintragen für Hosts unter GruppeXX
###################################################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")
$GruppenName = "Gruppe$GruppenNummer"

$hostGroup = Get-SCVMHostGroup -Name $GruppenName
$hostReserves = Get-SCHostReserve -VMHostGroup $hostGroup
$hostReserves = Set-SCHostReserve -HostReserve $hostReserves -Inherit $false
Set-SCHostReserve -HostReserve $hostReserves -MB -Memory
Set-SCHostReserve -HostReserve $hostReserves -Memory -VMHostReserveLevel 1536
Set-SCHostReserve -DiskIO -HostReserve $hostReserves -IOPS
Set-SCHostReserve -DiskIO -HostReserve $hostReserves -VMHostReserveLevel 100
Set-SCHostReserve -DiskSpace -HostReserve $hostReserves -Percent
Set-SCHostReserve -DiskSpace -HostReserve $hostReserves -VMHostReserveLevel 7