# Setze einigen Cluster Settings
######################################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")
$GruppenName = "Gruppe$GruppenNummer"
$ClusterName = "Cluster$GruppenNummer" 

$hostCluster = Get-SCVMHostCluster -Name "$ClusterName.itcamp.de"

Register-SCStorageFileShare -FileSharePath "\\sofs\lun1" -VMHostCluster $hostCluster
Register-SCStorageFileShare -FileSharePath "\\sofs\lun2" -VMHostCluster $hostCluster

$ComputerName = "itcamp-$GruppenNummer-101.itcamp.de"
$clusterNode = Get-SCVMHost -ComputerName $ComputerName
Set-SCVMHost -VMHost $clusterNode -BaseDiskPaths "\\sofs\lun1|\\sofs\lun2" -RunAsynchronously
$ComputerName = "itcamp-$GruppenNummer-102.itcamp.de"
$clusterNode = Get-SCVMHost -ComputerName $ComputerName
Set-SCVMHost -VMHost $clusterNode -BaseDiskPaths "\\sofs\lun1|\\sofs\lun2" -RunAsynchronously

Set-SCVMHostCluster -Description "" -RunAsynchronously -VMHostCluster $hostCluster -ClusterReserve "0"

$jobid = [System.Guid]::NewGuid()
$ComputerName = "itcamp-$GruppenNummer-101.itcamp.de"
$vmHost = Get-SCVMHost -ComputerName $ComputerName
$vmHostNetworkAdapter = Get-SCVMHostNetworkAdapter -Name "Intel(R) 82579LM Gigabit Network Connection" -VMHost $vmHost
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -Description "" -AvailableForPlacement $true -UsedForManagement $true -JobGroup "$jobid"
$logicalNetwork = Get-SCLogicalNetwork -Name "Management"
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -JobGroup "$jobid" -AddOrSetLogicalNetwork $logicalNetwork
$vmHostNetworkAdapter = Get-SCVMHostNetworkAdapter -Name "Microsoft Network Adapter Multiplexor Driver" -VMHost $vmHost
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -Description "" -AvailableForPlacement $true -UsedForManagement $true -JobGroup "$jobid"
$logicalNetwork = Get-SCLogicalNetwork -Name "Management"
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -JobGroup "$jobid" -AddOrSetLogicalNetwork $logicalNetwork
Set-SCVMHost -VMHost $vmHost -JobGroup "$jobid" -RunAsynchronously -AvailableForPlacement $true


$ComputerName = "itcamp-$GruppenNummer-102.itcamp.de"
$vmHost = Get-SCVMHost -ComputerName $ComputerName
$vmHostNetworkAdapter = Get-SCVMHostNetworkAdapter -Name "Intel(R) 82579LM Gigabit Network Connection" -VMHost $vmHost
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -Description "" -AvailableForPlacement $true -UsedForManagement $true -JobGroup "$jobid"
$logicalNetwork = Get-SCLogicalNetwork -Name "Management"
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -JobGroup "$jobid" -AddOrSetLogicalNetwork $logicalNetwork
$vmHostNetworkAdapter = Get-SCVMHostNetworkAdapter -Name "Microsoft Network Adapter Multiplexor Driver" -VMHost $vmHost
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -Description "" -AvailableForPlacement $true -UsedForManagement $true -JobGroup "$jobid"
$logicalNetwork = Get-SCLogicalNetwork -Name "Management"
Set-SCVMHostNetworkAdapter -VMHostNetworkAdapter $vmHostNetworkAdapter -JobGroup "$jobid" -AddOrSetLogicalNetwork $logicalNetwork
Set-SCVMHost -VMHost $vmHost -JobGroup "$jobid" -RunAsynchronously -AvailableForPlacement $true
